---
layout: release
date: 2021-10-19
tag: v0.5.67
---

## What's New
## 🔤 General
- [performance] https support and advanced request options for nighthawk @DelusionalOptimist (#4431)
-  bug : top link was not working @shubham-tyagi (#4423)
- Add app mesh SVG @utkarsh-pro (#4427)
-  [UI] Count displayed when deleted in bulk @Meghana-12 (#4430)
- [Extensions] Remote config addition @Chadha93 (#4420)
- [Extensions] Tooltip style changes @NikhilSharma03 (#4429)
- [mesheryctl] minor chore update in system errors @piyushsingariya (#4407)
- Fix rubecop constants-in-block @100mik (#4416)
- [meshsync] add namespace for app-mesh @DelusionalOptimist (#4414)
- fix semicolon errors @Shatakshi0805 (#4401)
- Fix JSHint W004 error @100mik (#4402)
- Fix semgrep cookie-missing-httponly error @100mik (#4399)
- UI info display fix @sudhay23 (#4285)
- Add the Database page in spanish @chal-gro (#4379)
- [Extensions] Add maximize and minimize functionality for RJSF Tooltips @sudo-NithishKarthik (#4363)
- fixing the english index page, to avoid showing spanish pages @alonsolopezr (#4383)
- Abishek Kumar's name is removed from maintainers.md @shubham-tyagi (#4365)

## 🚀 Features

- Added error states in Grafana metrices @manav1403 (#4361)

## ⌨️ Meshery CLI

- Migrate from plain manifests to helm charts for meshery installation @panyuenlau (#4389)
- [Beta] Meshery Adapter for App Mesh @leecalcote (#4448)
- mesheryctl Fix `system token create` unhelpful error message. @Zanda256 (#4325)
- Add examples for `mesheryctl` commands @alphaX86 (#4269)
- Added a --set subcommand with the token create command @sayantan1413 (#4249)
- [mesheryctl] Add tests for utils/helpers.go @aayushmau5 (#4177)

## 🖥 Meshery UI

- [Beta] Meshery Adapter for App Mesh @leecalcote (#4448)
- [UI] Count displayed when deleted in bulk @sayantan1413 (#4442)
- [UI] Save Pattern button changed to icon @Meghana-12 (#4432)
- Fixed pattern upload hide feature @vedant-kakde (#4390)
- Added error states in Grafana metrices @manav1403 (#4361)
- Fix JShint W018. Make conditional more legible. @100mik (#4396)
- [UI] changes the color of  "X" from red to the theme color of UI  @Chadha93 (#4315)

## 🔋 Patterns, Filters, Applications

- Change expose service interface in Application @utkarsh-pro (#4428)
- add support for "name" attribute in the patterns @utkarsh-pro (#4419)
- Fixed pattern upload hide feature @vedant-kakde (#4390)
- fix: error uploading patterns to server @Abhishek-kumar09 (#4374)
- seeded applications at startup @Revolyssup (#4362)
- Add support for handling kubernetes components @utkarsh-pro (#4369)

## 🐛 Bug Fixes

- [Performance] Add advanced request options fields GraphQL @bariqhibat (#4387)

## 🧰 Maintenance

- [CI] added new workflows to automatically label pull request according to file changed. @asubedy (#4256)
- [CI] Token label commenter @Chadha93 (#4358)
- Bump styled-jsx from 3.4.4 to 4.0.1 in /ui @dependabot (#4301)
- Fix bad end alignment @100mik (#4412)
- Fix Rubecop errors @100mik (#4400)
- Bump github.com/spf13/viper from 1.8.1 to 1.9.0 @dependabot (#4310)
- Fix Cypress e2e tests and Go unit test @ramrodo (#4332)
- [mesheryctl] Add tests for utils/helpers.go @aayushmau5 (#4177)

## 📖 Documentation

- [DOC] Add the CI process document of Helm charts of Meshery @Aisuko (#4434)
- Fixed toc.yml URL entries @vedant-kakde (#4437)
- bug pages/guides/sample-apps : renamed the online-boutique image @shubham-tyagi (#4436)
- added adapters variable in docs @chetak123 (#4433)
- suggested reading reusable component done @shubham-tyagi (#4338)
- Add examples for `mesheryctl` commands @alphaX86 (#4269)
- Add the Architecture page in spanish @chal-gro (#4377)
- Add the MeshSync page in spanish @chal-gro (#4380)
- [DOCS] UI Maintainer update  @Chadha93 (#4370)
- Add the Operator page in spanish @chal-gro (#4381)
- updated _data/toc.yml : sub-links in sidebar @shubham-tyagi (#4384)

## 🔒 Security

- Add safeguard against a decompression bomb @100mik (#4415)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@100mik, @Abhishek-kumar09, @Aisuko, @Chadha93, @DelusionalOptimist, @Meghana-12, @Nikhil-Ladha, @NikhilSharma03, @Revolyssup, @Shatakshi0805, @Zanda256, @aayushmau5, @adithyaakrishna, @alonsolopezr, @alphaX86, @asubedy, @bariqhibat, @chal-gro, @chetak123, @dependabot, @dependabot[bot], @hexxdump, @leecalcote, @manav1403, @navendu-pottekkat, @panyuenlau, @piyushsingariya, @ramrodo, @sayantan1413, @shubham-tyagi, @sudhay23, @sudo-NithishKarthik, @utkarsh-pro and @vedant-kakde
